Name: sipcalc
Version: 1.1.4
Release: 3%{?dist}
Summary: An "advanced" console based ip subnet calculator

Group:	Applications/Internet
License: BSD
URL: http://www.routemeister.net/projects/sipcalc	
Source0: http://www.routemeister.net/projects/%{name}/files/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Sipcalc is an "advanced" console based ip subnet calculator.

%prep
%setup0 -q

# convert ChangeLog to UTF-8
iconv -f ISO-8859-1 -t UTF-8 ChangeLog > ChangeLog.utf8 && \
touch -r ChangeLog ChangeLog.utf8 && \
mv -f ChangeLog{.utf8,}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="install -p" install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc doc/sipcalc.txt
%{_bindir}/sipcalc
%{_mandir}/man1/sipcalc.1.*

%changelog
* Tue Jul 07 2009 Gary T. Giesen <giesen@snickers.org> 1.1.4-3
  Convert ChangeLog to UTF-8

* Tue Jul 07 2009 Gary T. Giesen <giesen@snickers.org> 1.1.4-2
- Spec file cleanup.

* Mon Jul 06 2009 Gary T. Giesen <giesen@snickers.org> 1.1.4-1
- Initial spec file creation for Fedora
